JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::ComparableRange< T > Struct Template Reference
juce_midi_ci » ci

Wraps a span, providing equality operators that compare the span contents elementwise. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
bool | operator== (const ComparableRange &other) const
bool | operator!= (const ComparableRange &other) const

## Public Attributes
T & | data

## Detailed Description

template<typename T>
struct juce::midi_ci::Message::ComparableRange< T >

Wraps a span, providing equality operators that compare the span contents elementwise.

## Member Function Documentation

## ◆ operator==()

template<typename T >

bool juce::midi_ci::Message::ComparableRange< T >::operator== | ( | const ComparableRange< T > & | other | ) | const

References juce::midi_ci::Message::ComparableRange< T >::data.

Referenced by juce::midi_ci::Message::ComparableRange< T >::operator!=().

## ◆ operator!=()

template<typename T >

bool juce::midi_ci::Message::ComparableRange< T >::operator!= | ( | const ComparableRange< T > & | other | ) | const

References juce::midi_ci::Message::ComparableRange< T >::operator==().

## Member Data Documentation

## ◆ data

template<typename T >

T& juce::midi_ci::Message::ComparableRange< T >::data

Referenced by juce::midi_ci::Message::ComparableRange< T >::operator==().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h